//plugins {
//    id 'com.android.application'
//    id 'org.jetbrains.kotlin.android'
//}
//

plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.android)
}


android {
    namespace 'com.rehome.meetingbook'
    compileSdk 35
    defaultConfig {
        applicationId "com.rehome.meetingbook"
        minSdk 24
        targetSdk 35
        versionCode 1
        versionName "1.0.0"
        multiDexEnabled true
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        //每个应用拥有不同的authorities，防止相同的在同一个手机上无法同时安装
        resValue "string", "authorities", applicationId
    }
    buildFeatures {
        viewBinding = true
    }
    signingConfigs {
        release {
            keyAlias 'key0'
            storeFile file('../key/keystore1')
            storePassword 'abc123123'
            keyPassword 'abc123123'
            v1SigningEnabled true   //是否开启V1签名
            v2SigningEnabled true   //是否开启V2签名
        }
    }
    /*  keypassword:abc123123   alias key0*/
    buildTypes {
        debug {
            minifyEnabled false
        }
        release {
            lintOptions {
                checkReleaseBuilds false
                abortOnError false
            }
            minifyEnabled false //开启代码混淆，防止反编译查看源代码
            zipAlignEnabled true // 对齐zip
            debuggable false // 是否debug
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            signingConfig signingConfigs.release // 打包签名信息
            //修改生成的apk名字
            android.applicationVariants.all { variant ->
                variant.outputs.all {
                    //outputFileName = "meetingbook302.apk"
                    outputFileName = "meetingbook303.apk"
                    //outputFileName = "meetingbook105.apk"
                }
            };
        }
    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_21
        targetCompatibility JavaVersion.VERSION_21
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    implementation libs.androidx.core.ktx
    implementation libs.androidx.appcompat
    implementation libs.material
    implementation libs.androidx.activity
    implementation libs.androidx.constraintlayout
    testImplementation libs.junit
    androidTestImplementation libs.androidx.junit
    androidTestImplementation libs.androidx.espresso.core

//    implementation 'com.zhy:autolayout:1.4.5'
//    implementation 'com.yolanda.nohttp:nohttp:1.0.5'
//    implementation 'com.lcodecorex:tkrefreshlayout:1.0.7'
//    implementation 'org.litepal.android:core:1.5.1'

    //第三方库自动布局
    implementation project(':autolayout')
    //网络请求模块
    implementation project(':nohttp')
    //第三方数据库封装，巡检，点检用到
    implementation project(':litepal')
    //下拉刷新、下拉刷新模块
    implementation project(':tkrefreshlayout')
    // 网络请求-------------------------------------------------------
    implementation 'com.squareup.okhttp3:logging-interceptor:4.9.0'
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'
    implementation 'com.squareup.okhttp3:okhttp:4.9.0'
    implementation 'cn.hutool:hutool-all:5.8.5'
    implementation 'com.orhanobut:logger:2.2.0'
    implementation 'com.github.PhilJay:MPAndroidChart:v3.1.0'
    implementation 'de.hdodenhof:circleimageview:3.1.0'
    implementation 'com.github.chrisbanes.photoview:library:1.2.4'
    implementation 'me.leolin:ShortcutBadger:1.1.22@aar'
    implementation 'cn.jzvd:jiaozivideoplayer:7.2.3'
    implementation 'com.github.chrisbanes:PhotoView:2.1.3'
    implementation 'com.davemorrissey.labs:subsampling-scale-image-view:3.10.0'
    implementation 'com.github.huangyanbin:SmartTable:2.2.0'
    implementation 'com.google.android.material:material:1.5.0'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'androidx.recyclerview:recyclerview:1.2.1'
    implementation 'com.github.xuexiangjys:XUI:1.1.5'
    implementation 'com.github.baoyachi:StepView:1.9'
    implementation 'io.github.azhon:appupdate:4.2.6'
    implementation 'com.tencent.bugly:crashreport:3.2.1'
    implementation 'com.github.xuexiangjys.SmartRefreshLayout:refresh-header:1.1.5'
    implementation 'com.github.xuexiangjys.SmartRefreshLayout:refresh-layout:1.1.5'
    implementation 'com.github.CymChad:BaseRecyclerViewAdapterHelper:2.9.30'
    implementation 'com.github.LuckSiege.PictureSelector:picture_library:v2.5.9'
    //第三方库图片异步加载
    implementation 'com.github.bumptech.glide:glide:4.11.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.11.0'
}